.header {
    
    .container {
        position: relative;
    }

    .company__information {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 40px 0;
        background-color: $white;
        position: relative;
        z-index: 3;

        .logo {
            margin-bottom: 7px;
        }

        .logo__link {
            text-align: end;

            .logo__text {
                @include logoText;
            }
        }

        .contact__block {
            .contact__title {
                @include contactTitle;
                position: relative;

                &::before {
                    position: absolute;
                    left: -30px;
                }
            }

            .bookmark__icon {
                &::before {
                    content: url('../img/icon/bookmark.svg')
                }
            }

            .clock__icon {
                &::before {
                    content: url('../img/icon/clock.svg')
                }
            }

            .phone__icon {
                &::before {
                    content: url('../img/icon/phone.svg')
                }
            }

            .contact__text {
                @include contactText; 
            }
        }

        .burger__button {
            display: none;
        }
    }

    .navigation-tablet__search {
        display: none;
    }

    .navigation__block {
        background-color: $red;
        
        .navigation__wrapper {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 14px 0;

            .navigation__menu {
                display: flex;
                justify-content: space-between;
                flex: 0 1 72%;
               
                .menu__item {
                    @include navigationMain;
                    display: flex;
                    position: relative;
                    transition: 0.4s ease;

                    .dropdown__list {
                        background-color: $white;
                        width: 450px;
                        position: absolute;
                        top: -100px;
                        padding-top: 20px;
                        padding-left: 20px;
                        padding-bottom: 20px;
                        z-index: -3;
                        opacity: 0;
                        transition: 0.6s ease;
                        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1), 0px 20px 20px -10px rgba(0, 0, 0, 0.1);

                        .dropdown__item {
                            @include dropDownItem;

                            &:not(:last-child) {
                                margin-bottom: 10px;
                            }
                        }
                    }

                    .dropdown__list--active {
                        opacity: 1;
                        z-index: 2;
                        top: 50px;
                        
                    }

                    .arrow-down {
                        margin-left: 9px;
                        transition: 0.4s ease;
                    }

                    .arrow-down--rotate {
                        transform: rotate(180deg);
                    }
                }
            }

            .navigation__search {
                flex: 0 1 28%;
            }
        }
    }

    .navigation-mobile__block {
        position: absolute;
        display: none;
        top: -500%;
        left: 0;
        width: 100%;
        z-index: 4;
        transition: 0.4s ease;
       
        .accordions--mobile {
            background-color: $red;
            
            .accordion--mobile {
                width: 100%;
                overflow: hidden;
                transition: 0.4s ease;

                &:not(:last-child) {
                    margin-bottom: 15px;
                }
            }

            .accordion__label--mobile {
                @include navigationMain;
                display: flex;
                justify-content: space-between;
                align-items: center;
                padding: 20px 30px 18px;
                background-color: $red;
                cursor: pointer;
                transition: 0.4s ease;

                &::after {
                    content: url('../img/icon/arrow-acc-hover.svg');
                    transition: 0.4s ease;
                }
            }

            .accordion__content--mobile {
                max-height: 0;
                padding: 0 30px;
                background-color: $white;
                transition: all 0.4s ease;
                display: flex;
                flex-direction: column;

                .link--title-mobile {
                    @include footerNavigationTitle;
                    margin-bottom: 20px;
                }

                .link--text-mobile {
                    @include footerNavigationItem; 
                    margin-bottom: 15px;
                }
            }

            .accordion__input--mobile {
                position: absolute;
                opacity: 0;

                &:checked {
                + .accordion__label--mobile::after {
                    transform: rotate(90deg);
                }

                ~ .accordion__content--mobile {
                    max-height: 100vh;
                    padding: 28px 30px;
                }

                + .accordion__label--mobile {

                        &::after {
                            content: url('../img/icon/arrow-acc-hover.svg');
                            transition: 0.4s ease;
                        }
                    }
                }
            } 
        }
    }

    .navigation-mobile__block--active {
        top: 105px;
    }
}

.main {
    .main__section {
        .banner__block {
            background-color: $gray-extralight;
            background-image: url('../img/background/circles.png');
            background-repeat: no-repeat;
            background-position-y: center;
            background-position-x: right;
            background-size: auto;
            position: relative;
            padding: 70px 50px;
            z-index: -1;

            &::before {
                position: absolute;
                content: url('../img/background/doctor.png');
                bottom: -4px;
                right: 40px;
                z-index: 2
            }
            

            .banner__title {
                @include bannerTitle;
                margin-bottom: 10px;
            }

            .banner__specialist {
                display: flex;
                align-items: center;
                
                .main__title {
                    @include mainTitle;
                    margin-right: 74px;
                    position: relative;
                    
                    &:after {
                        position: absolute;
                        content: url('../img/icon/slash.svg');
                        right: -40px;
                        top: -5px;
                    }
                }

                .banner__price {
                    @include bannerPrice;
                    position: relative;
                    z-index: 2;
                }
            }

            .banner__info {
                display: flex;
                margin-top: 56px;
                position: relative;
                z-index: 2;

                .banner__content {
                    display: flex;
                    align-items: center;
                    width: 250px;

                    .banner__text {
                        @include bannerText;
                        margin-left: 20px;
                    }
                }
            }
        }

        
    }

    .service-prices__section {
        .basic__title {
            @include basicTitle;
        }

        .product__cards {
            display: grid;
            grid-template-columns: repeat(3, 1fr);
            // flex-wrap: wrap;
            gap: 30px;

            .card {
                border: 1px solid $gray-extralight;
                max-width: 390px;
                transition: 0.4s ease;
               
                .card__header {
                    background-color: $gray-extralight;
                    
                    .card-basic__title {
                        @include cardBasicTitle;
                        padding: 45px 70px 35px;
                    }
                }

                .card__body {
                    padding: 30px;

                    .card__list {
                        margin-left: 15px;
                        margin-bottom: 30px;
                        width: 100%;

                        .card__item {
                            @include cardText;
                            position: relative;

                            &::before {
                                position: absolute;
                                content: url('../img/icon/point.svg');
                                top: -3px;
                                left: -14px;
                            }

                            &:not(:last-child) {
                                margin-bottom: 15px;
                            }

                        }
                    }

                    .learn-more__button {
                        @include learnMoreButton;
                        margin-bottom: 30px;
                    }

                    .order__wrapper{
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                        border-top: 1px solid $gray-extralight;
                        padding-top: 30px;

                        .card__price {
                            @include cardPrice;
                        }
    
                        .order__button {
                            @include orderButton;
                        }
                    }
                }

                &:hover {
                    border: 1px solid #E8E8E8;

                    .card__header {
                        background-color: #E8E8E8;
                    }

                    -webkit-box-shadow: 0px 0px 16px 0px rgba(34, 60, 80, 0.31);
                    -moz-box-shadow: 0px 0px 16px 0px rgba(34, 60, 80, 0.31);
                    box-shadow: 0px 0px 16px 0px rgba(34, 60, 80, 0.31);
                }
            }

            .main-card {
                grid-column-start: 1;
                grid-column-end: 4;
                grid-row-start: 2;
                grid-row-end: 2;
                max-width: 100%;
                width: 100%;
                display: flex;
                position: relative;

                .card__header {
                    max-width: 390px;
                    width: 100%;

                    .card-basic__title {
                        @include cardMainTitle;
                        text-align: left;
                        padding: 40px;
                    }
                }

                .card__body {
                    display: flex;
                    justify-content: space-between;
                    width: 100%;
                    max-width: 100%;

                    .card__list {
                        max-width: 545px;
                        border-right: 1px solid $gray-extralight;
                        width: 100%;
                        margin-bottom: 0;
                        margin-right: 40px;
                    }

                    .learn-more__button {
                        margin-bottom: 0;
                        position: absolute;
                        left: 30px;
                        bottom: 30px;
                    }

                    .order__wrapper {
                        flex-direction: column;
                        justify-content: space-around;
                        border-top: none;
                        padding-top: 0;
                        width: 100%;
                        max-width: 175px;

                        .card__price {
                            font-size: 32px;
                            line-height: 32px;
                        }  

                        .order__button {
                            max-width: 175px;
                        }
                    }
                }
            }
        }

        .product-other__cards {
            display: block;
        }
    }

    .help-stages__section {
        background-color: $white-dark;
       
        .plan__list {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            gap: 90px;
            margin-bottom: 120px;
            
            .plan__item {
                display: flex;
                flex-direction: column;
                align-items: center;
                position: relative;

                &::after {
                    position: absolute;
                    top: 25%;
                    right: -70px;
                }

                &:nth-child(1) {
                    &::after {
                        content: url('../img/stage/stage-arrow.png'); 
                    }
                }

                &:nth-child(2) {
                    &::after {
                        content: url('../img/stage/stage-arrow.png'); 
                    }
                }

                &:nth-child(3) {
                    &::after {
                        content: url('../img/stage/stage-arrow.png'); 
                    }
                }

                &:nth-child(4) {
                    &::after {
                       display: none;
                    }
                }

                &:nth-child(5) {
                    &::after {
                        content: url('../img/stage/stage-arrow.png'); 
                    }
                }

                &:nth-child(6) {
                    &::after {
                        content: url('../img/stage/stage-arrow.png'); 
                    }
                }

                &:nth-child(7) {
                    &::after {
                        content: url('../img/stage/stage-arrow.png'); 
                    }
                }

                .plan__image {
                    width: 140px;
                    margin-bottom: 30px;
                }

                .plan__text {
                    @include planText;
                }
            }
        }

        .description__block {
            display: flex;
            justify-content: space-between;
            align-items: center;
          
            .block__image {
                width: 100%;
                height: 435px;
                position: relative;
                z-index: 1;

                &::before {
                    position: absolute;
                    content: url('../img/background/doctor-woman.png');
                    bottom: -4px;
                    left: -150px;
                }
            }
           
            .block__content {
                width: 200%;
                padding-bottom: 50px;
                z-index: 2;
            }
        }
    }

    .info__section {
        .info__image {
            float: left;
            padding-right: 30px;
        }
    }

    .faq__section {
        background-color: $white-dark;
        padding-bottom: 160px;
      
        .faq__wrapper {
            display: flex;
            justify-content: space-between;

            .doctor__info {
                max-width: 390px;
                height: 100%;
                background-color: $gray-extralight;
                display: flex;
                flex-direction: column;
                align-items: center;
                padding: 40px;
                margin-right: 40px;
               
                .doctor__photo {
                    max-width: 310px;
                    max-height: 353px;
                    margin-bottom: 30px;
    
                    .doctor {
                        width: 100%;
                        border: 2px solid $white;
                    }
                }
                
                .doctor__wrapper {
                    text-align: center;

                    .doctor__name {
                        @include specialistTitle;
                        margin-bottom: 5px
                    }
        
                    .doctor__profile {
                        @include specialistText;
                        margin-bottom: 30px;
                    }
        
                    .doctor__contacts {
                        text-align: center;
                        .social__wrap {
                            display: flex;
        
                            .social__link {
                                &:not(:last-child) {
                                    margin-right: 14px;
                                }
                            }
                        }
                    }
                }
            }
    
            .faq__accordion {
                max-width: 800px;
                .accordions {
                    .accordion {
                        width: 100%;
                        overflow: hidden;
                        transition: 0.4s ease;

                        &:not(:last-child) {
                            margin-bottom: 15px;
                        }
                    }
    
                    .accordion__label {
                        @include accordionTitle;
                        display: flex;
                        justify-content: space-between;
                        align-items: center;
                        padding: 20px 30px 18px;
                        background-color: $white-dark;
                        border-left: 1px solid $gray-extralight;
                        border-right: 1px solid $gray-extralight;
                        border-top: 1px solid $gray-extralight;
                        cursor: pointer;
                        transition: 0.4s ease;
    
                        &::after {
                            content: url('../img/icon/arrow-acc.svg');
                            transition: 0.4s ease;
                        }

                        &:hover {
                            color: $red;
                        }

                    }
    
                    .accordion__content {
                        @include accordionText;
                        max-height: 0;
                        padding: 0 30px;
                        background-color: $gray-extralight;
                        transition: all 0.4s ease;
                        border-left: 1px solid $gray-extralight;
                        border-right: 1px solid $gray-extralight;
                        border-bottom: 1px solid $gray-extralight;
                    }
    
                    .accordion__input {
                        position: absolute;
                        opacity: 0;
    
                        &:checked {
                        + .accordion__label::after {
                            transform: rotate(90deg);
                        }
    
                        ~ .accordion__content {
                            max-height: 100vh;
                            padding: 28px 30px;
                        }
    
                        + .accordion__label {
                            border: 2px solid $red;
                            background-color: $red;
                            color: $white;
                            
                                &::after {
                                    content: url('../img/icon/arrow-acc-hover.svg');
                                    transition: 0.4s ease;
                                }
                            }
                        }
                    } 
                }
            }
        }
    }

    .our-specialists__section {
        background-color: $white-dark;
        padding-bottom: 160px;

        .our-specialists__cards {
            .specialist__card {
                max-width: 390px;
                width: 100%;
                background-color: $gray-extralight;
                background-image: url('../img/background/red-card.png');
                background-repeat: no-repeat;
                background-size: contain;
                background-position: bottom;
                padding: 40px;
                transition: 0.4s ease;
               
                .specialist-photo__wrapper {
                    max-width: 310px;
                    max-height: 313px;
                    border: 3px solid $white;
                    margin-bottom: 30px;
                    transition: 0.4s ease;

                    .specialist__photo {
                        width: 100%;
                        height: 100%;
                    }
                }

                .specialist__info {
                    .surname {
                        @include specialistSliderTitle;
                    }

                    .name__patronymic {
                        @include specialistSliderTitle;
                        font-size: 32px;
                        margin-bottom: 10px;
                    }

                    .info__text {
                        @include specialistSliderText;
                        color: $pink;

                        .text__color {
                            color: $white;
                        }
                    }
                }

                &:hover {
                    background-color: $gray-hover;
                    background-image: url('../img/background/red-card-hover.png');

                    .specialist-photo__wrapper {
                        border: 3px solid $red;
                    }
                }
            }
        }
    }

    .clinic-photo__section {
        .clinic--arrows {
            top: -60px;
        }

        .clinic-photo__cards {
            display: flex;
            justify-content: space-between;
            gap: 30px;
            
            .clinic-photo__card {
                display: flex;
                justify-content: space-between;
                flex-wrap: wrap;
                max-height: 440px;
                height: 100%;
                gap: 30px;
            }

            .card-1 {
                max-width: 390px;
                width: 100%;
               
                .clinic-photo-1 {
                    max-width: 180px;
                    width: 100%;   
                }

                .clinic-photo-2 {
                    max-width: 180px; 
                    width: 100%;
                }

                .clinic-photo-3 {
                    max-width: 390px; 
                    width: 100%
                }
            }

            .card-2 {
                max-width: 495px;
                width: 100%; 

                .clinic-photo-4 {
                    max-width: 495px; 
                    width: 100%;
                }
            }

            .card-3 {
                max-width: 285px;
                width: 100%; 

                .clinic-photo-5 & .clinic-photo-6 {
                    max-width: 285px; 
                    width: 100%;
                }
            }

            .clinic-photo__wrapper {
                position: relative; 

                .photo-hover {
                    position: absolute;
                    background-image: url('../img/background/photo-hover.png');
                    background-size: cover;
                    background-repeat: no-repeat;
                    background-position: center;
                    width: 100%;
                    height: 100%;
                    top: 0;
                    transition: 0.4s ease;
                    opacity: 0;
                    cursor: pointer;
                    
                    &:hover {
                        opacity: 1;
                        cursor: pointer;
                    }
                }
            }
        }
    }

    .licenses__section {

        .licenses--arrows {
            top: -100px;
        }

        .licenses__slider {
            .license {
               padding: 30px;
               background-color: $gray-extralight;
               width: 285px;
                .license__wrapper {
                    position: relative;
                }

                .license__image {
                    width: 225px;
                    height: 320px;
                }

                .photo-hover {
                    position: absolute;
                    background-image: url('../img/background/photo-hover.png');
                    background-size: cover;
                    background-repeat: no-repeat;
                    background-position: center;
                    width: 100%;
                    height: 100%;
                    top: 0;
                    transition: 0.4s ease;
                    opacity: 0;
                    cursor: pointer;
                    
                    &:hover {
                        opacity: 1;
                        cursor: pointer;
                    }
                }
            }
        }
    }

    .reviews__section {
        .reviews--arrows {
            top: -60px;
        }

        .reviews__slider {
            .review {
                .review__image {
                    width: 370px;
                }
            }
        }
    }

    
}

.footer {

    .scrollup {
        position: fixed; 
        bottom: 35px;
        right: 35px;
        padding: 10px 10px;
        cursor: pointer; 
        display: none;
        z-index: 2;
    }

    .footer__content {
        padding-top: 60px;
        padding-bottom: 60px;
        background-color: $white-dark;

        .footer-content__wrapper {
            display: flex;
            max-height: 372px;

            .footer-content__info {
                max-width: 389px;
                width: 100%;
                border: 1px solid $gray-light;
                border-radius: 8px;
                padding: 30px;
                margin-right: 30px;

                .logo__link {
                    display: block;
                    text-align: center;
                    margin-bottom: 20px;

                    .logo {
                        margin-bottom: 7px;
                    }
                }
               
                .footer-content__text {
                    @include footerContentText;
                }
            }

            .footer-navigation__block {
               display: grid;
               grid-template-columns: repeat(4, 1fr);
               gap: 30px;

                .footer-navigation__columns {
                    max-width: 179px;

                    .footer-navigation__list {
                        &:nth-child(1) {
                            margin-bottom: 30px;
                        }

                        &:nth-child(2) {
                            margin-bottom: 30px;
                        }

                        .footer-navigation__title {
                            margin-bottom: 18px;

                            .footer-navigation__link {
                                @include footerNavigationTitle;
                            }
                        }
    
                        .footer-navigation__item {
                            &:not(:last-child) {
                                margin-bottom: 14px;
                            }

                            .footer-navigation__link {
                                @include footerNavigationItem;  
                            }
                        }
                    }
                }
            }
        }
    }

    .company__information {
        padding-top: 50px;
        padding-bottom: 50px;
        background-color: $white;
        z-index: 1;

        .contact__wrapper {
            display: flex;
            justify-content: space-between;

            .contact__block {
                &:nth-child(1) {
                    order: 2;
                }

                &:nth-child(2) {
                    order: 3;
                }

                &:nth-child(3) {
                    order: 4;
                }

                &:nth-child(4) {
                    order: 5;
                }
              
            }
           
            .contact__title {
                @include contactTitle;
                position: relative;

                &::before {
                    position: absolute;
                    left: -30px;
                }
            }

            .bookmark__icon {
                &::before {
                    content: url('../img/icon/bookmark.svg')
                }
            }
    
            .clock__icon {
                &::before {
                    content: url('../img/icon/clock.svg')
                }
            }
    
            .phone__icon {
                &::before {
                    content: url('../img/icon/phone.svg')
                }
            }

            .mail__icon {
                &::before {
                    content: url('../img/icon/mail.svg')
                }
            }
    
            .contact__text {
                @include contactText; 
            }

            .call-doctor__link {
                order: 1;
            }
        }
    }

    .copyright__block {
        padding-top: 24px;
        padding-bottom: 20px;
        background-color: $white-dark;
       
        .copyright__wrapper {
            display: flex;
            justify-content: space-between;

            .copyright {
                @include copyright;

                &:nth-child(1) {
                    text-align: left;
                }

                &:nth-child(2) {
                    text-align: center;
                }

                &:nth-child(3) {
                    text-align: right;
                }
            }
        }
    }
}
